# APPLEObjectPurgeable (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class APPLEObjectPurgeable

    java.lang.Object
      org.lwjgl.opengl.APPLEObjectPurgeable

    public final class APPLEObjectPurgeable

extends java.lang.Object

Field Summary
`static int` `GL_BUFFER_OBJECT_APPLE` Accepted by the <objectType> parameters of ObjectPurgeableAPPLE, ObjectUnpurgeableAPPLE and GetObjectParameteriv:
`static int` `GL_PURGEABLE_APPLE` Accepted by the <pname> parameters of GetObjectParameteriv:
`static int` `GL_RELEASED_APPLE` Accepted by the <option> parameter of ObjectPurgeable, and returned by ObjectPurgeable:
`static int` `GL_RETAINED_APPLE` Accepted by the <option> parameters of ObjectUnpurgeable, and returned by ObjectUnpurgeable:
`static int` `GL_UNDEFINED_APPLE` Accepted by the <option> parameters of ObjectUnpurgeable, and returned by ObjectUnpurgeable:
`static int` `GL_VOLATILE_APPLE` Accepted by the <option> parameter of ObjectPurgeable, and returned by ObjectPurgeable:

Method Summary
`static void` `glGetObjectParameterAPPLE(int objectType, int name, int pname, java.nio.IntBuffer params)`
`static int` `glGetObjectParameteriAPPLE(int objectType, int name, int pname)` Overloads glGetObjectParameterivAPPLE.
`static int` `glObjectPurgeableAPPLE(int objectType, int name, int option)`
`static int` `glObjectUnpurgeableAPPLE(int objectType, int name, int option)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_RELEASED_APPLE

    public static final int GL_RELEASED_APPLE

  Accepted by the <option> parameter of ObjectPurgeable, and returned by ObjectPurgeable:

  See Also:
    Constant Field Values

### GL_VOLATILE_APPLE

    public static final int GL_VOLATILE_APPLE

  Accepted by the <option> parameter of ObjectPurgeable, and returned by ObjectPurgeable:

  See Also:
    Constant Field Values

### GL_RETAINED_APPLE

    public static final int GL_RETAINED_APPLE

  Accepted by the <option> parameters of ObjectUnpurgeable, and returned by ObjectUnpurgeable:

  See Also:
    Constant Field Values

### GL_UNDEFINED_APPLE

    public static final int GL_UNDEFINED_APPLE

  Accepted by the <option> parameters of ObjectUnpurgeable, and returned by ObjectUnpurgeable:

  See Also:
    Constant Field Values

### GL_PURGEABLE_APPLE

    public static final int GL_PURGEABLE_APPLE

  Accepted by the <pname> parameters of GetObjectParameteriv:

  See Also:
    Constant Field Values

### GL_BUFFER_OBJECT_APPLE

    public static final int GL_BUFFER_OBJECT_APPLE

  Accepted by the <objectType> parameters of ObjectPurgeableAPPLE, ObjectUnpurgeableAPPLE and GetObjectParameteriv:

  See Also:
    Constant Field Values

Method Detail

### glObjectPurgeableAPPLE

    public static int glObjectPurgeableAPPLE(int objectType,
                                             int name,
                                             int option)

### glObjectUnpurgeableAPPLE

    public static int glObjectUnpurgeableAPPLE(int objectType,
                                               int name,
                                               int option)

### glGetObjectParameterAPPLE

    public static void glGetObjectParameterAPPLE(int objectType,
                                                 int name,
                                                 int pname,
                                                 java.nio.IntBuffer params)

### glGetObjectParameteriAPPLE

    public static int glGetObjectParameteriAPPLE(int objectType,
                                                 int name,
                                                 int pname)

  Overloads glGetObjectParameterivAPPLE.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.